Package org.pushingpixels.flamingo.api.common

# Enum Class JCommandButton.CommandButtonKind

java.lang.Object
java.lang.Enum<JCommandButton.CommandButtonKind>
org.pushingpixels.flamingo.api.common.JCommandButton.CommandButtonKind

All Implemented Interfaces:
  `Serializable`, `Comparable<JCommandButton.CommandButtonKind>`, `Constable`

Enclosing class:
  `JCommandButton`

public static enum JCommandButton.CommandButtonKind extends Enum<JCommandButton.CommandButtonKind>
Enumerates the available command button kinds.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTION_AND_POPUP_MAIN_ACTION`
Command button that has both action and popup areas, with the main text click activating the action.
`ACTION_AND_POPUP_MAIN_POPUP`
Command button that has both action and popup areas, with the main text click activating the popup.
`ACTION_ONLY`
Command button that has only action area.
`POPUP_ONLY`
Command button that has only popup area.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasAction()`
Returns indication whether this command button kind has an action.
`boolean`
`hasPopup()`
Returns indication whether this command button kind has a popup.
`static JCommandButton.CommandButtonKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JCommandButton.CommandButtonKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACTION_ONLY

public static final JCommandButton.CommandButtonKind ACTION_ONLY
Command button that has only action area.

### POPUP_ONLY

public static final JCommandButton.CommandButtonKind POPUP_ONLY
Command button that has only popup area.

### ACTION_AND_POPUP_MAIN_ACTION

public static final JCommandButton.CommandButtonKind ACTION_AND_POPUP_MAIN_ACTION
Command button that has both action and popup areas, with the main text click activating the action.

### ACTION_AND_POPUP_MAIN_POPUP

public static final JCommandButton.CommandButtonKind ACTION_AND_POPUP_MAIN_POPUP
Command button that has both action and popup areas, with the main text click activating the popup.

## Method Details

### values

public static JCommandButton.CommandButtonKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JCommandButton.CommandButtonKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### hasAction

public boolean hasAction()
Returns indication whether this command button kind has an action.

Returns:
  `true` if the command button kind has an action, `false` otherwise.

### hasPopup

public boolean hasPopup()
Returns indication whether this command button kind has a popup.

Returns:
  `true` if the command button kind has a popup, `false` otherwise.